<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from fmincon_checkdims.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="fmincon_checkdims" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 05-Aug-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>fmincon_checkdims</refname><refpurpose>Generates an error if the variable has not the required size.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   errmsg = fmincon_checkdims ( funname , var , varname , ivar , matdims )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>funname :</term>
      <listitem><para> a 1 x 1 matrix of strings, the name of the calling function.</para></listitem></varlistentry>
   <varlistentry><term>var :</term>
      <listitem><para> a 1 x 1 matrix of valid Scilab data type, the variable</para></listitem></varlistentry>
   <varlistentry><term>varname :</term>
      <listitem><para> a 1 x 1 matrix of string, the name of the variable</para></listitem></varlistentry>
   <varlistentry><term>ivar :</term>
      <listitem><para> a 1 x 1 matrix of floating point integers, the index of the input argument in the calling sequence</para></listitem></varlistentry>
   <varlistentry><term>matdims :</term>
      <listitem><para> 1 x 2 matrix of floating point integers, the number of rows, columns for the variable #ivar</para></listitem></varlistentry>
   <varlistentry><term>errmsg :</term>
      <listitem><para> a 1 x 1 matrix of strings, the error message. If there was no error, the error message is the empty matrix.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This function is designed to be used to design functions where
the input argument has a known shape.
This function cannot be use when var is a function, or more
generally, for any input argument for which the size function
does not work.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// The function takes a 2 x 3 matrix of doubles.
function y = myfunction ( x )
fmincon_checkdims ( "myfunction" , x , "x" , 1 , [2 3] )
y = x
endfunction
// Calling sequences which work
y = myfunction ( ones(2,3) )
y = myfunction ( zeros(2,3) )
// Calling sequences which generate an error
y = myfunction ( ones(1,3) )
y = myfunction ( zeros(2,4) )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin - 2010 - DIGITEO</member>
   </simplelist>
</refsection>
</refentry>
